<script setup lang="ts">
import { onMounted } from 'vue';
import { RouterLink, RouterView } from 'vue-router'
import { api } from './fetcher';
import { authStore } from './stores/auth';

const auth = authStore();

onMounted(async () => {
  const user = await api.get('http://localhost:8080/api/account');
  auth.$patch(store => store.user = user.data);
});

</script>

<template>
  <header>
    <div class="wrapper">

      <nav>
        <RouterLink to="/">Home</RouterLink>
        <RouterLink to="/about">About</RouterLink>
        <RouterLink to="/login">Login</RouterLink>
      </nav>
    </div>
  </header>

  <RouterView />
</template>
